Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[qt overlay] Qt beta and live ebuilds & Qt4 apps
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 14, 15, 16  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 8933

PostPosted: Fri Jan 06, 2012 4:01 pm    Post subject: Reply with quote

Anyone in here who successfully built qt-assistant-4.8.9999?

I couldn't until performing the following change:
Code:
--- /var/lib/layman/qting-edge/x11-libs/qt-assistant/qt-assistant-4.8.9999.ebuild       2011-10-22 14:36:46.133663277 +0200
+++ /usr/local/portage/bugfix/x11-libs/qt-assistant/qt-assistant-4.8.9999.ebuild        2012-01-06 16:22:21.240805344 +0100
@@ -68,8 +68,8 @@
        # ugly hack to build docs
        cd "${S}"
        qmake "LIBS+=-L${QTLIBDIR}" "CONFIG+=nostrip" projects.pro || die
-       emake qch_docs || die "emake qch_docs failed"
        if use doc; then
+               emake qch_docs || die "emake qch_docs failed"
                emake docs || die "emake docs failed"
        fi
        qmake "LIBS+=-L${QTLIBDIR}" "CONFIG+=nostrip" projects.pro || die "qmake

No idea if this is going to produce any fallout, but it worksforme so far.
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6111
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Fri Jan 06, 2012 4:34 pm    Post subject: Reply with quote

@genstorm:

makes sense to me :)

not sure if it wasn't supposed to be like that right from the beginning ;)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
firephoto
Veteran
Veteran


Joined: 29 Oct 2003
Posts: 1612
Location: +48° 5' 23.40", -119° 48' 30.00"

PostPosted: Fri Jan 13, 2012 6:42 pm    Post subject: qt-webkit-4.8.9999 failing Reply with quote

Code:

In file included from /usr/include/unicode/utypes.h:36:0,
                 from /usr/include/unicode/ucnv_err.h:86,
                 from /usr/include/unicode/ucnv.h:50,
                 from /usr/include/libxml2/libxml/encoding.h:31,
                 from /usr/include/libxml2/libxml/parser.h:807,
                 from /usr/include/gstreamer-0.10/gst/gstconfig.h:200,
                 from /usr/include/gstreamer-0.10/gst/gstelement.h:55,
                 from /usr/include/gstreamer-0.10/gst/gstbin.h:27,
                 from /usr/include/gstreamer-0.10/gst/gst.h:34,
                 from platform/graphics/gstreamer/MediaPlayerPrivateGStreamer.h:32,
                 from platform/graphics/MediaPlayer.cpp:46:
/usr/include/unicode/umachine.h:345:17: error: conflicting declaration ‘typedef int32_t UChar32’
../JavaScriptCore/wtf/unicode/qt4/UnicodeQt4.h:71:18: error: ‘UChar32’ has a previous declaration as ‘typedef uint32_t UChar32’

make: *** [.obj/release-static/MediaPlayer.o] Error 1

This is with x11-libs/qt-webkit-4.8.9999 [4.7.9999] USE="dbus exceptions jit kde (-aqua) -c++0x% -debug -pch -qpa% (-stable-branch%)". ~amd64 build.

This is usually an area where phonon is the culprit but it doesn't seem to match up with other errors I've googled.

*edit
I got 4.8.0 installed and all things kde rebuilt before I had too many error messages from the missing and/or update in progress.

Leaving this error/warning here for anyone thinking about 4.8.9999 and needing qt-webkit that it might not work from branch now.

It does look like the ebuilds are a bit different between 4.8.0 and branch and might be using a different eclass too so maybe I was just the first unlucky victim to try 4.8.9999. ;)
_________________
#gentoo-kde on freenode
Back to top
View user's profile Send private message
hf.farhad
n00b
n00b


Joined: 18 Oct 2010
Posts: 9

PostPosted: Sat Jan 14, 2012 4:55 pm    Post subject: Re: qt-webkit-4.8.9999 failing Reply with quote

firephoto wrote:
Code:

In file included from /usr/include/unicode/utypes.h:36:0,
                 from /usr/include/unicode/ucnv_err.h:86,
                 from /usr/include/unicode/ucnv.h:50,
                 from /usr/include/libxml2/libxml/encoding.h:31,
                 from /usr/include/libxml2/libxml/parser.h:807,
                 from /usr/include/gstreamer-0.10/gst/gstconfig.h:200,
                 from /usr/include/gstreamer-0.10/gst/gstelement.h:55,
                 from /usr/include/gstreamer-0.10/gst/gstbin.h:27,
                 from /usr/include/gstreamer-0.10/gst/gst.h:34,
                 from platform/graphics/gstreamer/MediaPlayerPrivateGStreamer.h:32,
                 from platform/graphics/MediaPlayer.cpp:46:
/usr/include/unicode/umachine.h:345:17: error: conflicting declaration ‘typedef int32_t UChar32’
../JavaScriptCore/wtf/unicode/qt4/UnicodeQt4.h:71:18: error: ‘UChar32’ has a previous declaration as ‘typedef uint32_t UChar32’

make: *** [.obj/release-static/MediaPlayer.o] Error 1

This is with x11-libs/qt-webkit-4.8.9999 [4.7.9999] USE="dbus exceptions jit kde (-aqua) -c++0x% -debug -pch -qpa% (-stable-branch%)". ~amd64 build.

This is usually an area where phonon is the culprit but it doesn't seem to match up with other errors I've googled.


I have this problem too, qt-webkit-4.8.9999 conflicts with umachine.h header file from dev-libs/icu... is there any workaround for this?
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Fri Jan 20, 2012 8:42 pm    Post subject: Reply with quote

genstorm wrote:
Anyone in here who successfully built qt-assistant-4.8.9999?

I couldn't until performing the following change:
Code:
--- /var/lib/layman/qting-edge/x11-libs/qt-assistant/qt-assistant-4.8.9999.ebuild       2011-10-22 14:36:46.133663277 +0200
+++ /usr/local/portage/bugfix/x11-libs/qt-assistant/qt-assistant-4.8.9999.ebuild        2012-01-06 16:22:21.240805344 +0100
@@ -68,8 +68,8 @@
        # ugly hack to build docs
        cd "${S}"
        qmake "LIBS+=-L${QTLIBDIR}" "CONFIG+=nostrip" projects.pro || die
-       emake qch_docs || die "emake qch_docs failed"
        if use doc; then
+               emake qch_docs || die "emake qch_docs failed"
                emake docs || die "emake docs failed"
        fi
        qmake "LIBS+=-L${QTLIBDIR}" "CONFIG+=nostrip" projects.pro || die "qmake

No idea if this is going to produce any fallout, but it worksforme so far.


Thanks fixed :)
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Fri Jan 20, 2012 8:45 pm    Post subject: Re: qt-webkit-4.8.9999 failing Reply with quote

hf.farhad wrote:
firephoto wrote:
Code:

In file included from /usr/include/unicode/utypes.h:36:0,
                 from /usr/include/unicode/ucnv_err.h:86,
                 from /usr/include/unicode/ucnv.h:50,
                 from /usr/include/libxml2/libxml/encoding.h:31,
                 from /usr/include/libxml2/libxml/parser.h:807,
                 from /usr/include/gstreamer-0.10/gst/gstconfig.h:200,
                 from /usr/include/gstreamer-0.10/gst/gstelement.h:55,
                 from /usr/include/gstreamer-0.10/gst/gstbin.h:27,
                 from /usr/include/gstreamer-0.10/gst/gst.h:34,
                 from platform/graphics/gstreamer/MediaPlayerPrivateGStreamer.h:32,
                 from platform/graphics/MediaPlayer.cpp:46:
/usr/include/unicode/umachine.h:345:17: error: conflicting declaration ‘typedef int32_t UChar32’
../JavaScriptCore/wtf/unicode/qt4/UnicodeQt4.h:71:18: error: ‘UChar32’ has a previous declaration as ‘typedef uint32_t UChar32’

make: *** [.obj/release-static/MediaPlayer.o] Error 1

This is with x11-libs/qt-webkit-4.8.9999 [4.7.9999] USE="dbus exceptions jit kde (-aqua) -c++0x% -debug -pch -qpa% (-stable-branch%)". ~amd64 build.

This is usually an area where phonon is the culprit but it doesn't seem to match up with other errors I've googled.


I have this problem too, qt-webkit-4.8.9999 conflicts with umachine.h header file from dev-libs/icu... is there any workaround for this?


My best guess is that the Qt folks will spot it at some point and fix it. This definitely needs to be reported upstream. But before we do that, we need a bug on our bugzilla. Could you please open one? Thanks :D
Back to top
View user's profile Send private message
GD
Tux's lil' helper
Tux's lil' helper


Joined: 11 May 2005
Posts: 138
Location: Greece

PostPosted: Sat Feb 04, 2012 12:52 am    Post subject: Reply with quote

I've been getting this error for more than a couple of weeks now (umachine.h conflict)... Has anyone reported this upstream?
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sat Feb 04, 2012 1:11 am    Post subject: Reply with quote

I haven't managed to reproduce it yet so I don't know what to report. Feel free to report it if you want
Back to top
View user's profile Send private message
yngwin
Retired Dev
Retired Dev


Joined: 19 Dec 2002
Posts: 4572
Location: Suzhou, China

PostPosted: Sat Feb 04, 2012 4:15 am    Post subject: Reply with quote

Hwoarang: you should update the first post and topic to reflect the name change and move to gogo as primary repo. :wink:
_________________
"Those who deny freedom to others deserve it not for themselves." - Abraham Lincoln
Free Culture | Defective by Design | EFF
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sat Feb 04, 2012 9:02 am    Post subject: Reply with quote

Oh yeah right.

New url: http://git.overlays.gentoo.org/gitweb/?p=proj/qt.git;a=summary
Back to top
View user's profile Send private message
GD
Tux's lil' helper
Tux's lil' helper


Joined: 11 May 2005
Posts: 138
Location: Greece

PostPosted: Tue Feb 07, 2012 5:17 pm    Post subject: Reply with quote

Hwoarang wrote:
I haven't managed to reproduce it yet so I don't know what to report. Feel free to report it if you want


I would but I feel hf.farhad and firephoto have a better understanding of this issue than I do...
Back to top
View user's profile Send private message
firephoto
Veteran
Veteran


Joined: 29 Oct 2003
Posts: 1612
Location: +48° 5' 23.40", -119° 48' 30.00"

PostPosted: Tue Feb 07, 2012 5:39 pm    Post subject: Reply with quote

GD wrote:
Hwoarang wrote:
I haven't managed to reproduce it yet so I don't know what to report. Feel free to report it if you want


I would but I feel hf.farhad and firephoto have a better understanding of this issue than I do...


I went to a 4.8.0 install and haven't tried branch again because I saw reports on irc and here that webkit wasn't building still. ;)
_________________
#gentoo-kde on freenode
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Tue Feb 07, 2012 6:46 pm    Post subject: Reply with quote

I have qt-webkit 4.8.0 and 4.8.9999 installed just fine. If you can still reproduce this bug then please file a bug upstream otherwise it is not going to be fixed by itself :)
Back to top
View user's profile Send private message
firephoto
Veteran
Veteran


Joined: 29 Oct 2003
Posts: 1612
Location: +48° 5' 23.40", -119° 48' 30.00"

PostPosted: Tue Feb 07, 2012 8:20 pm    Post subject: Reply with quote

I just installed all of 4.8.9999 here, only issue was the qt-core-4.8.0-qurl-regression-fix.patch which I had to comment out.
_________________
#gentoo-kde on freenode
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Tue Feb 07, 2012 10:30 pm    Post subject: Reply with quote

Hmm, if that does not apply anymore we need to recreate it :/
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Wed Feb 08, 2012 8:02 pm    Post subject: Reply with quote

Fixed ;)
Back to top
View user's profile Send private message
sashatim
n00b
n00b


Joined: 06 Feb 2020
Posts: 3

PostPosted: Fri Feb 07, 2020 9:17 am    Post subject: Reply with quote

thank you kind man!!! :D
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 14, 15, 16
Page 16 of 16

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum